/**
 * JS Document. 
 * @author Sandro Jordão.
 * @copyright CTVoicer.
 */
 
/**
 *
 */
function verificaInterbase(valor)
{
	if(valor == 'S')
		$("#tbInterbase").fadeIn('fast');
	else
		$("#tbInterbase").fadeOut('fast');
}

function verificaOnline(valor)
{
	if(valor == 'S')
	{
		$("#tbOffline").hide();
		$("#tbOnline").fadeIn('fast');
	}
	else
	{
		$("#tbOnline").hide();
		$("#tbOffline").fadeIn('fast');
	}
}

function gerar()
{
	/* DASHBOARD MYSQL */
	var path  = $("#path").val();
	var host  = $("#host").val();
	var user  = $("#user").val();
	var pass  = $("#pass").val();
	var banco = $("#banco").val();
	var empresa = $("#empresa").val();
	
	/* DASHBOARD FIREBIRD */
	var interbase = $("input[name='ib']:radio:checked").val();
	var ibhost    = $("#ibhost").val();
	var ibuser    = $("#ibuser").val();
	var ibpass    = $("#ibpass").val();
	var ibbanco   = $("#ibbanco").val();
	
	/* MINERADOR */
	var mineradorPorta = $("#mineradorPorta").val();
	var mineradorIp    = $("#mineradorIp").val();
	
	/* LICENCIADOR */
	var online 		 = $("input[name='rdoLicenciador']:radio:checked").val();
	var onlineIp     = $("#onlineIp").val();
	var onlinePorta  = $("#onlinePorta").val();
	var onlineCodigo = $("#onlineCodigo").val();
	var offlineArquivo = $("#offlineArquivo").val();
	
	// SENHA DE GRAVAÇÃO */
	var senha = $("#senhaValidar").val();
	
	// Remove a class de erro
	$('.erroConfig, .erroArquivo').remove();
	var erro = 0;
	
	// Validação dos dados
	if(path == '') 
	{ 
		$("#path").after('<span class="erroConfig">*</span>'); 
		erro++; 
	}
	
	if(host == '') 
	{ 
		$("#host").after('<span class="erroConfig">*</span>'); 
		erro++; 
	}
	
	if(user == '') 
	{ 
		$("#user").after('<span class="erroConfig">*</span>'); 
		erro++; 
	}
	
	if(banco == '') 
	{ 
		$("#banco").after('<span class="erroConfig">*</span>'); 
		erro++; 
	}
	
	if(interbase == 'S')
	{
		if(ibhost == '') 
		{ 
			$("#ibhost").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
		
		if(ibuser == '') 
		{ 
			$("#ibuser").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
		
		if(ibbanco == '') 
		{ 
			$("#ibbanco").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
	}
	
	if(online == 'S')
	{
		if(onlineIp == '') 
		{ 
			$("#onlineIp").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
		
		if(onlinePorta == '') 
		{ 
			$("#onlinePorta").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
		
		if(onlineCodigo == '') 
		{ 
			$("#onlineCodigo").after('<span class="erroConfig">*</span>'); 
			erro++; 
		}
	}
	else
	{
		if(offlineArquivo == '') 
		{ 
			$("#divArquivo").html('<span class="erroArquivo">*Obrigatório a importação do arquivo.</span>'); 
			erro++; 
		}	
	}

	if (erro == 0)
	{
		$.post(basepath + "principal/gerarConfig", {
			senha			: senha,
			path   			: path,
			host   			: host, 
			user   			: user, 
			pass   			: pass,
			banco  			: banco,
			empresa			: empresa,
			interbase  		: interbase,
			ibhost 			: ibhost,  
			ibuser 			: ibuser,   
			ibpass 			: ibpass,   
			ibbanco			: ibbanco,
			mineradorPorta 	: mineradorPorta,
			mineradorIp 	: mineradorIp,
			online 		    : online, 
			onlineIp        : onlineIp, 
			onlinePorta     : onlinePorta,  
			onlineCodigo    : onlineCodigo	
		}, function(data){
			
			if(data == 1)
			{
				jAlert("A senha para grava&ccedil;&atilde;o est&aacute; inv&aacute;lida!", 'Alerta!', function(){ 
					$("#senhaValidar").after('<span class="erroConfig">*</span>');
					return false;				
				});
			}
			else if(data == 2)
			{
				jAlert('Configurado com sucesso!', 'Alerta!', function(){ window.location.href = basepath + 'principal'; });
			}	
			else
			{
				jAlert('Ocorreu um erro:\n' + data, 'Alerta!', function(){ return false });
			}
		});
	}
	else
	{	
		jAlert('Favor informar todos os campos corretamente!', 'Alerta!');
	}
}
 
function init()
{	
	$('#offlineArquivo').upload({
		name: 'offlineArquivo',
		method: 'post',
		enctype: 'multipart/form-data',
		action: basepath + 'principal/uploadConfig',
		onComplete: function(data){
		
			var dados = eval('(' + data + ')');
			
			if(dados.erro == 1) {
				$('#offlineArquivo').val('');
			} else {
				$('#offlineArquivo').val('dashboard.lic');
			}

			$('#divArquivo').html('<span class="erroArquivo">' + dados.msg + '</span>');
		}
	});
}

$(document).ready(init);